### Method

# Camel DB has_table

since: 3.58

#### Declaration [src]

    gboolean
    camel_db_has_table (
      CamelDB* cdb,
      const gchar* table_name
    )

#### Description [src]

Checks whether the `table_name` exists in the `cdb`.

Available since: 3.58

#### Parameters

`table_name`

  Type: `const gchar*`

  A table name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE`, when the `table_name` exists, `FALSE` when not or when any other error occurred.